onEvent('recipes', (event) => {
    event.shaped('botanypots:botany_pot', ['ABA', 'ACA', 'DAD'], {
        A: 'minecraft:terracotta',
        B: 'minecraft:farmland',
        C: 'minecraft:flower_pot',
        D: 'minecraft:iron_ingot'
    }).id('kubejs:botanypots/botany_pot')

    event.shaped('ftb-power-pots:power_pot_mk1', ['ABA', 'CDC', 'AEA'], {
        A: 'minecraft:diamond',
        B: 'alltheores:copper_ingot',
        C: 'mysticalagriculture:prudentium_essence',
        D: 'botanypots:botany_pot',
        E: 'minecraft:hopper'
    }).id('kubejs:ftb-power-pots/power_pot_mk1')

    event.shaped('ftb-power-pots:power_pot_mk2', ['ABA', 'CDC', 'AEA'], {
        A: 'allthemodium:allthemodium_ingot',
        B: 'draconicevolution:draconium_core',
        C: 'mysticalagriculture:tertium_essence',
        D: 'ftb-power-pots:power_pot_mk1',
        E: 'mekanism:ingot_refined_obsidian'
    }).id('kubejs:ftb-power-pots/power_pot_mk2')

    event.shaped('ftb-power-pots:power_pot_mk3', ['ABA', 'CDC', 'AEA'], {
        A: 'allthemodium:vibranium_ingot',
        B: 'draconicevolution:wyvern_core',
        C: 'mysticalagriculture:imperium_essence',
        D: 'ftb-power-pots:power_pot_mk2',
        E: 'mekanism:ingot_refined_glowstone'
    }).id('kubejs:ftb-power-pots/power_pot_mk3')

    event.shaped('ftb-power-pots:power_pot_mk4', ['ABA', 'CDC', 'AEA'], {
        A: 'allthemodium:unobtainium_ingot',
        B: 'draconicevolution:awakened_core',
        C: 'mysticalagriculture:supremium_essence',
        D: 'ftb-power-pots:power_pot_mk3',
        E: 'mekanism:pellet_antimatter'
    }).id('kubejs:ftb-power-pots/power_pot_mk4')

    event.shaped('botanypotstiers:creative_hopper_botany_pot', ['ABA', 'CDC', 'AEA'], {
        A: 'allthemodium:unobtainium_vibranium_alloy_ingot',
        B: 'draconicevolution:chaotic_core',
        C: 'mysticalagradditions:insanium_essence',
        D: 'ftb-power-pots:power_pot_mk4',
        E: 'mysticalagradditions:creative_essence'
    }).id('kubejs:botanypotstiers/creative_hopper_botany_pot')
})